const input = require("fs").readFileSync(0,"utf8").toString().split("\n");
let max_value=0, max_row=1, max_col=1;

for(let i=0; i<9; i++){
    let n = input[i].split(' ').map(Number);
    for(let j=0; j<9; j++){
        if(max_value < n[j]){
            max_value = n[j];
            max_row = i+1;
            max_col = j+1; 
        }
    }
}

console.log(max_value);
console.log(max_row, max_col);